#include <iostream>
#include "DISPredictor.h"

using namespace DISPred;

#ifdef FC_DUMMY_MAIN
#  ifdef __cplusplus
extern "C"
#  endif
int FC_DUMMY_MAIN() { return 1; }
#endif


int main (int argc, char **argv){
  std::cout << "DISPrediction v1.0 -  31 Mar 2010" << std::endl;
  // Create Instance of DISPredictor
  DISPred::DISPredictor *DISPred= DISPred::DISPredictor::Instance();
  // Initilaise using control cards provided via command line
  DISPred->Initialise(argc,argv);
  DISPred->CalculateCrossSections();
  DISPred->PrintResults();
  std::cout << "DISPrediction v1.0 - Run finished Succesfully" << std::endl;
  DISPred->WriteOutput();
  return 0;
}
